package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class SysMessageQueryInfo extends QueryInfo {

	/** 状态，0,待发送;1,发送中;2,发送完成 */
	@ApiModelProperty(value = "状态，0,待发送;1,发送中;2,发送完成 ",required = false)
	private Integer status;

	@ApiModelProperty(value = "接收人编号",required = false)
	private String receiver;

	@ApiModelProperty(value = "发送人编号",required = false)
	private Long userId;

	@ApiModelProperty(value = "标题",required = false)
	private String title;

	@ApiModelProperty(value = "消息类型；1，表示短信；2，表示邮件; 3,app推送消息",required = false)
	private Integer type;

	@ApiModelProperty("消息组 SYSTEM：系统消息  COURSE:课程信息 NOTICE:公告")
	private String group;

	@ApiModelProperty("客户端STUDENT,TEACHER,SYSTEM")
	private String clientId;

	@ApiModelProperty("0:未读，1：已读")
	private Integer readStatus;

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getReceiver() {
		return receiver;
	}

	public void setReceiver(String receiver) {
		this.receiver = receiver;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getGroup() {
		return group;
	}

	public void setGroup(String group) {
		this.group = group;
	}

	public Integer getReadStatus() {
		return readStatus;
	}

	public void setReadStatus(Integer readStatus) {
		this.readStatus = readStatus;
	}

}
